Page MenuHomePhabricator

Wikimedia deployed extensions lack npm entry point / banana checker
Closed, ResolvedPublic

Description

Repo Patch(es)
ParsoidBatchAPIhttps://gerrit.wikimedia.org/r/320599OK
SecurePollhttps://gerrit.wikimedia.org/r/320602OK
SemanticMediaWikiMoved to GitHub
SemanticResultFormatsMoved to GitHub
ValidatorMoved to GitHub
VisualEditor
WikiLovehttps://gerrit.wikimedia.org/r/320597OK
Wikidata
WikimediaMaintenancePHP Only
WikimediaMessageshttps://gerrit.wikimedia.org/r/320596OK

From a quick test I wrote on https://gerrit.wikimedia.org/r/256413

+ mediawiki/extensions/ParsoidBatchAPI miss Zuul template(s): npm
+ mediawiki/extensions/SecurePoll miss Zuul template(s): npm
+ mediawiki/extensions/SemanticMediaWiki miss Zuul template(s): npm
+ mediawiki/extensions/SemanticResultFormats miss Zuul template(s): npm
+ mediawiki/extensions/Validator miss Zuul template(s): npm
+ mediawiki/extensions/VisualEditor miss Zuul template(s): npm
+ mediawiki/extensions/WikiLove miss Zuul template(s): npm
+ mediawiki/extensions/Wikidata miss Zuul template(s): npm
+ mediawiki/extensions/WikimediaMaintenance miss Zuul template(s): npm
+ mediawiki/extensions/WikimediaMessages miss Zuul template(s): npm

Event Timeline

hashar created this task.Nov 9 2016, 2:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2016, 2:16 PM

Change 320596 had a related patch set uploaded (by Hashar):
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320596

hashar updated the task description. (Show Details)Nov 9 2016, 2:39 PM

Change 320597 had a related patch set uploaded (by Hashar):
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320597

hashar updated the task description. (Show Details)Nov 9 2016, 2:46 PM

Change 320599 had a related patch set uploaded (by Hashar):
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320599

Change 320602 had a related patch set uploaded (by Hashar):
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320602

Paladox added a subscriber: Paladox.Nov 9 2016, 2:53 PM
hashar updated the task description. (Show Details)Nov 9 2016, 2:54 PM

Change 320599 merged by jenkins-bot:
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320599

hashar updated the task description. (Show Details)Nov 10 2016, 7:54 AM

Change 320602 merged by jenkins-bot:
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320602

Change 322263 had a related patch set uploaded (by Hashar):
[SecurePoll] add npm to run banana

https://gerrit.wikimedia.org/r/322263

hashar updated the task description. (Show Details)Nov 18 2016, 2:26 PM

Change 322263 merged by jenkins-bot:
[SecurePoll] add npm to run banana

https://gerrit.wikimedia.org/r/322263

Change 320596 merged by jenkins-bot:
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320596

Change 328149 had a related patch set uploaded (by Hashar):
[WikimediaMessages] add npm job

https://gerrit.wikimedia.org/r/328149

hashar updated the task description. (Show Details)Dec 19 2016, 10:11 AM

Change 328149 merged by jenkins-bot:
[WikimediaMessages] add npm job

https://gerrit.wikimedia.org/r/328149

hashar updated the task description. (Show Details)Dec 19 2016, 4:11 PM
hashar updated the task description. (Show Details)

Change 320597 merged by jenkins-bot:
Add npm entry point and banana i18n linter

https://gerrit.wikimedia.org/r/320597

Umherirrender closed this task as Resolved.Jan 1 2017, 5:24 PM
Umherirrender assigned this task to hashar.
Umherirrender updated the task description. (Show Details)

Change 330061 had a related patch set uploaded (by Umherirrender):
[WikiLove] add npm job

https://gerrit.wikimedia.org/r/330061

Change 330075 had a related patch set uploaded (by Hashar):
[WikiLove] add npm for banana check

https://gerrit.wikimedia.org/r/330075

Change 330061 abandoned by Umherirrender:
[WikiLove] add npm job

Reason:
Duplicated: I87c2f739a309bd1746c101ce3d2d2aae9f112fba

https://gerrit.wikimedia.org/r/330061

Change 330075 abandoned by Hashar:
[WikiLove] add npm for banana check

Reason:
I have duplicated Umherirrender change https://gerrit.wikimedia.org/r/#/c/330061/ :(

https://gerrit.wikimedia.org/r/330075

Change 330061 restored by Hashar:
[WikiLove] add npm job

Reason:
Using your change instead of mine :)

https://gerrit.wikimedia.org/r/330061

Change 330061 merged by jenkins-bot:
[WikiLove] add npm job

https://gerrit.wikimedia.org/r/330061

Change 330119 had a related patch set uploaded (by Umherirrender):
Add grunt-jsonlint and grunt-banana-checker

https://gerrit.wikimedia.org/r/330119

Change 330119 merged by jenkins-bot:
Add grunt-jsonlint and grunt-banana-checker

https://gerrit.wikimedia.org/r/330119